# 1_dbgw.sh
#
# -----------------------------------------------------------------
# IBM Confidential
# OCO Source Material
# 5724Q99
# (C) Copyright IBM Corp.1998, 2006
# The source code for this program is not published or otherwise 
#  divested of its trade secrets, irrespective of what has been 
# deposited with the U. S. Copyright Office.
# -----------------------------------------------------------------
# $Id: //depot/rbo/src/installer/scripts/bsd/1_dbgw.sh#5 $
#!/bin/sh

dbgw_enable="YES"
dbgw_flags=${dbgw_flags-""}
dbgw_pidfile=${dbgw_pidfile-"/var/run/dbgw.pid"}

SYSCONFIG_FILE="/etc/sysconfig/tpmfosdvars"

. ${SYSCONFIG_FILE}

DBGW_BIN="${REMBO_DIR}/dbgw.jar"
DBGW_PID="${CHROOT_PREFIX}/var/run/dbgw.pid"
DBGW_PARAMS=" -cp ${DBGW_CLASSPATH} -Djdbc.drivers=${JDBC_DRIVER} com.rembo.dbgw.Dbgw"

. /usr/local/etc/rc.subr

name="dbgw"
rcvar=`set_rcvar`
command="${JAVA_BIN}"
command_args="${DBGW_PARAMS}"

load_rc_config $name

pidfile="${dbgw_pidfile}"

start_cmd="echo \"Starting ${name}.\"; /usr/bin/nice -5 ${command} ${dbgw_flags} ${command_args} &"

run_rc_command "$1"
echo $! > ${dbgw_pidfile}
