# 3_rbagent.sh
#
# -----------------------------------------------------------------
# IBM Confidential
# OCO Source Material
# 5724Q99
# (C) Copyright IBM Corp.1998, 2006
# The source code for this program is not published or otherwise 
#  divested of its trade secrets, irrespective of what has been 
# deposited with the U. S. Copyright Office.
# -----------------------------------------------------------------
# $Id: //depot/rbo/src/installer/scripts/solaris/3_rbagent.sh#5 $
#!/bin/sh

echo 'IBM Tivoli Provisioning Manager for OS Deployment'

REMBO_DIR="/usr/local/tpmfos-5.1"
RBAGENT_BIN="${REMBO_DIR}/rbagent"
RBAGENT_PID="${CHROOT_PREFIX}/var/run/rbagent.pid"
RBAGENT_CONF="${REMBO_DIR}/rbagent.conf"
RBAGENT_PARAMS="-s 127.0.0.1:abcd"


case "$1" in
    start)
        echo "Starting Web interface extension "
        ${RBAGENT_BIN} ${RBAGENT_PARAMS}
        ;;
    stop)
        echo "Stopping Web interface extension "
        kill `cat ${RBAGENT_PID}`
        ;;
    *)
        echo "Usage: `basename $0` {start|stop}" >&2
        exit 64
        ;;
    esac
exit 0